Subject: Re: [MOBILE-IP] mip and multicast

From: Kuang-Hwei Chi <[email-masked]>
Date: Tue, 10 Aug 1999 00:57:46 +0800

Hello John

The following are my personal points of view in response to
your post. I'll be very glad to receive any comments on
this subject from you as well as the mailing list.

Best Regards

Chi

John Williams Floroiu wrote:
>
>Hi All,
>
>1. Concerning the scenario in which the MN acts as a multicast client in
>the HNet (option (2) in paragraph 4.4 of RFC2002), it is written in
>several places in RFC2002 that HA should be a multicast router. My
>question is why would be that necessary, since the HA can just tunnel
>mcast datagrams to the roaming MNs, and inject in the HNet those mcast
>datagrams arriving from the roaming MNs via the reverse tunnels.
>
        As you have noticed, HA can tunnel multicast datagrams to
        the MNs that are away from home.
        This means that HA must be multicast capable, with the
        ability of recognizing packets meant for a group.
        On the other hand, the HA can deliver multicast datagrams
        toward the intended group members for these MNs.
        In practice, the delivery of multicast datagrams relies on
        a pre-setup of multicast forwarding paths.
        The establishment of such paths is an essential task of
        multicast routers, requiring coordinations among these
        routers.
        In other words, there need be a multicast delivery path
        originated from the HNet to the group members.
        The home agent, as a multicast router, will suffice to
        meet this need.

>2. Since a node which will shortly leave HNet may not send an IGMP Join
>message (if it is not the first node in HNet interested in joining a
>given group), the HA will need to tunnel all mcast datagrams to all
>roaming MNs interested in receiving mcast. (Since these datagrams arrive
>at the MNs via a tunnel, they will be no any longer filtered by the MNs'
>network cards, so the filtering will need to take place at IP layer).
>This adds an important overhead to the HA, so that maybe some extensions
>to the RegReq messages will be usefull in order to tell HA which
>specific groups is a certain MN interested in. In this way the HA will
>be able to reduce this overhead by playing a role in the mcast
>delivering mechanisms (i.e. HA will manage logical mcast branches to the
>roaming MNs).
>
        My understanding is a bit different.
        If an MN that is away from home would like to receive
        multicasts via its home agent, the MN should first send
        its IGMP join message to the home agent (paragraph 3 in
        Section 4.4 of RFC 2002.)
        Thus the home agent can be informed of which group is
        interested by the MN and only tunnels the interested
        multicasts to the MN.

>
>I am looking forward to hearing your comments,
>John.

There are some references related to this issue.
Hope they are useful to you.

- Chikarmane, V. et al. (1995)
        Mobile IP-based multicast as a service for mobile hosts,
        Proc. 2nd IEEE Int'l Wksp. Services in
        Distributed and Network Environments, 11-18.
- Chikarmane, V. et al. (1999)
        Multicast support for mobile hosts using mobile IP:
        design issues and proposed architecture,
        ACM/Baltzer Mobile Networking and
        Applications, Vol.3, 365-379.
- Harrison, T.G. et al. (1997)
        Mobile multicast (MoM) protocol: multicast support
        for mobile hosts,
        Proc. 3rd Annual ACM/IEEE Conf. Mobile Comp.
        and Networks, 151-160.

--
Kuang-Hwei Chi, Institute of Computer Science & Information Engineering
National Chiaotung University, Hsinchu, Taiwan    Phone: +886-3-5731892
Email: [email-masked]   WWW: http://www.csie.nctu.edu.tw/~chikh

---

From: Kuang-Hwei Chi <[email-masked]>
Date: Tue, 10 Aug 1999 01:42:51 +0800

Hello John

The following are my personal points of view in response to
your post. I'll be very grateful to receive any comments on
this subject from the mailing list.

Best Regards

Chi